## ros-iron-moveit-ros-control-interface 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_ros_control_interface LANGUAGES CXX)

find_package(ament_cmake REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
    rclcpp_action
    controller_manager_msgs
    moveit_core
    moveit_simple_controller_manager
    pluginlib
    trajectory_msgs
)

foreach(dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${dependency} REQUIRED)
endforeach()

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# Finds Boost Components
include(ConfigExtras.cmake)

add_library(moveit_ros_control_interface_plugin SHARED
  src/controller_manager_plugin.cpp
)
set_target_properties(moveit_ros_control_interface_plugin PROPERTIES VERSION "${moveit_ros_control_interface_VERSION}")
target_include_directories(moveit_ros_control_interface_plugin PRIVATE include)
ament_target_dependencies(moveit_ros_control_interface_plugin
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

add_library(moveit_ros_control_interface_trajectory_plugin SHARED
  src/joint_trajectory_controller_plugin.cpp
)
set_target_properties(moveit_ros_control_interface_trajectory_plugin PROPERTIES VERSION "${moveit_ros_control_interface_VERSION}")
target_include_directories(moveit_ros_control_interface_trajectory_plugin PRIVATE include)
ament_target_dependencies(moveit_ros_control_interface_trajectory_plugin
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

add_library(moveit_ros_control_interface_gripper_plugin SHARED
  src/gripper_controller_plugin.cpp
)
set_target_properties(moveit_ros_control_interface_gripper_plugin PROPERTIES VERSION "${moveit_ros_control_interface_VERSION}")
target_include_directories(moveit_ros_control_interface_gripper_plugin PRIVATE include)
ament_target_dependencies(moveit_ros_control_interface_gripper_plugin
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

add_library(moveit_ros_control_interface_empty_plugin SHARED
  src/empty_controller_plugin.cpp
)
set_target_properties(moveit_ros_control_interface_empty_plugin PROPERTIES VERSION "${moveit_ros_control_interface_VERSION}")
target_include_directories(moveit_ros_control_interface_empty_plugin PRIVATE include)
ament_target_dependencies(moveit_ros_control_interface_empty_plugin
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

#############
## Install ##
#############

set(TARGET_LIBRARIES
  moveit_ros_control_interface_plugin
  moveit_ros_control_interface_trajectory_plugin
  moveit_ros_control_interface_gripper_plugin
  moveit_ros_control_interface_empty_plugin
)

## Mark executables and/or libraries for installation
install(TARGETS ${TARGET_LIBRARIES}
  EXPORT moveit_ros_control_interfaceTargets
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include/moveit_ros_control_interface
)

## Mark cpp header files for installation
install(DIRECTORY include/
  DESTINATION include/moveit_ros_control_interface
)

pluginlib_export_plugin_description_file(moveit_core moveit_core_plugins.xml)
pluginlib_export_plugin_description_file(moveit_ros_control_interface moveit_ros_control_interface_plugins.xml)

ament_export_targets(moveit_ros_control_interfaceTargets HAS_LIBRARY_TARGET)
ament_export_dependencies(
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== debian/changelog ===
ros-iron-moveit-ros-control-interface (2.8.0-1jammy) jammy; urgency=high

  * Simplify controller manager namespacing (#2210 <https://github.com/ros-planning/moveit2/issues/2210>)
  * Minor cleanup to ros_control_interface and trajectory execution (#2208 <https://github.com/ros-planning/moveit2/issues/2208>)
  * Contributors: Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-ros-control-interface (2.7.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-ros-control-interface (2.7.3-1jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Fix controller_manager_plugin's switch controllers functionality (#2116 <https://github.com/ros-planning/moveit2/issues/2116>)
  * Contributors: Jafar, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-ros-control-interface (2.7.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-ros-control-interface (2.7.1-1jammy) jammy; urgency=high

  * Add Warning Message for Out of Date Controller Information (#1983 <https://github.com/ros-planning/moveit2/issues/1983>)
    Co-authored-by: Joseph Schornak <mailto:joe.schornak@gmail.com>
    Co-authored-by: Joseph Schornak <mailto:joe.schornak@gmail.com>
  * Update SwitchController API usage (#1996 <https://github.com/ros-planning/moveit2/issues/1996>)
    Fixes deprecated and now removed message fields https://github.com/ros-controls/ros2_control/pull/948
  * Contributors: Erik Holum, Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-ros-control-interface (2.7.0-1jammy) jammy; urgency=high

  * Fix parameters for ros2_control namespaces (#1833 <https://github.com/ros-planning/moveit2/issues/1833>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Contributors: Christian Henkel, Pablo Iñigo Blasco

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-ros-control-interface (2.6.0-1jammy) jammy; urgency=high

  * Rename MoveItControllerManager. Add deprecation warning (#1601 <https://github.com/ros-planning/moveit2/issues/1601>)
    * Rename MoveItControllerManager->Ros2ControlManager. Add deprecation warning.
    * Do not rename base class
    * Still allow users to load plugins by the old names
    Co-authored-by: Jafar <mailto:jafar.uruc@gmail.com>
  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Support chained controllers (#1482 <https://github.com/ros-planning/moveit2/issues/1482>)
    * fix controller list if chained controllers exist
    * add comments and clean code
    * added additional comments
    * fix formatting
    * fix white space
    * add const reference and chhnage variable name
    * simplify logic to only  work with one layer chain
    * Don't return false when not finding optional parameter
    * Update moveit_ros/perception/pointcloud_octomap_updater/src/pointcloud_octomap_updater.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * add debug information
    * print controller names
    * print controllers with not known type
    * load controller dependencies
    * start chained controllers in switch
    * reverse order of activate controllers
    * prevent stoppping controller twice
    * revert all debug changes
    * add ROS error if a controller chains to more than one
    * use loop to index chained connections
    * update ros_control
    * add empty controller allocator for admittance controller
    * fix plugin xml
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * fix map indexing
    * add comment
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: Tyler Weaver <mailto:squirrel428@protonmail.com>
    * Typos
    Co-authored-by: JafarAbdi <mailto:cafer.abdi@gmail.com>
    Co-authored-by: Jafar <mailto:jafar.uruc@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
    Co-authored-by: Tyler Weaver <mailto:squirrel428@protonmail.com>
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Contributors: AndyZe, Paul Gesel, Robert Haschke, Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 09 Nov 2022 23:00:00 -0000

ros-iron-moveit-ros-control-interface (2.5.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-iron-moveit-ros-control-interface (2.5.2-1jammy) jammy; urgency=high

  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Contributors: Jafar

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 22:00:00 -0000



=== debian/control ===
Source: ros-iron-moveit-ros-control-interface
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-controller-manager-msgs, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-simple-controller-manager, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp-action, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-moveit-ros-control-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-controller-manager-msgs, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-simple-controller-manager, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp-action, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Description: ros_control controller manager interface for MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-ros-control-interface//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
